View Issue Details

IDProjectCategoryView StatusLast Update
0031969FPCCompilerpublic2018-10-05 23:08
ReporterKarl-Michael Schindler Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformpowerpc, i386, x86_64OSMac OS X 
Product Version3.1.1 
Target Version3.1.1 
Summary0031969: building the compiler with llvm is broken
DescriptionAs of revision 36436, building the compiler with llvm is broken. sparc64 is missing in compiler/llvm/llvmbase.pas. Adding the cpu in line 133 resolves the issue.
Steps To Reproducemake -C compiler clean all LLVM=1
Additional InformationI do not think it matters, but for the sake of completeness:
macOS 10.12.5, bootstrap with ppcx64-3.0.2
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget
Attached Files

Activities

Florian

2017-12-28 15:57

administrator   ~0105068

Fixed, thanks.

Karl-Michael Schindler

2017-12-28 19:17

reporter   ~0105074

My pleasure to support fpc.

Karl-Michael Schindler

2018-10-05 18:26

reporter   ~0111267

With commit 39813 the same problem is for riscv32 and riscv64. They need to be added to llvm/llvmbase.pas.

Florian

2018-10-05 22:57

administrator   ~0111272

Thanks, resolved again.

Karl-Michael Schindler

2018-10-05 23:08

reporter   ~0111273

Thanks for the fix. Great work.

Issue History

Date Modified Username Field Change
2017-06-06 10:58 Karl-Michael Schindler New Issue
2017-12-28 15:57 Florian Note Added: 0105068
2017-12-28 15:57 Florian Status new => resolved
2017-12-28 15:57 Florian Resolution open => fixed
2017-12-28 15:57 Florian Assigned To => Florian
2017-12-28 15:57 Florian Target Version => 3.1.1
2017-12-28 19:17 Karl-Michael Schindler Note Added: 0105074
2017-12-28 19:17 Karl-Michael Schindler Status resolved => closed
2018-10-05 18:26 Karl-Michael Schindler Note Added: 0111267
2018-10-05 18:26 Karl-Michael Schindler Status closed => feedback
2018-10-05 18:26 Karl-Michael Schindler Resolution fixed => reopened
2018-10-05 22:57 Florian Note Added: 0111272
2018-10-05 22:57 Florian Status feedback => resolved
2018-10-05 22:57 Florian Resolution reopened => fixed
2018-10-05 23:08 Karl-Michael Schindler Note Added: 0111273
2018-10-05 23:08 Karl-Michael Schindler Status resolved => closed